summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-28 12:34:33 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2019-06-28 12:44:10 +0100
commitd26a5d571757325421fbd2139c566648b58a4aa9 (patch)
tree8fef32c6f1e4a8ac9389a655e25ecdd116e8bb69 /tests
parentf52d69c4c3fd99b72b5402afb34fb1dbe5b64303 (diff)
test suite: rpush-quilt: New test to check rpush with splitting
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/rpush-quilt21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/tests/rpush-quilt b/tests/tests/rpush-quilt
new file mode 100755
index 0000000..10df9ae
--- /dev/null
+++ b/tests/tests/rpush-quilt
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+
+t-newtag
+
+t-gbp-example-prep
+
+t-dgit -wgf --quilt=gbp --dgit-view-save=split.b build-source
+
+mkdir $tmp/empty
+cd $tmp/empty
+t-dgit --quilt=gbp --dgit-view-save=split.p \
+ --ssh=$troot/ssh rpush somehost:$tmp/$p
+
+cd $tmp/$p
+t-gbp-pushed-good
+
+t-ok